org.eclipse.incquery.runtime.base.core

## Class NavigationHelperVisitor.TraversingVisitor

- java.lang.Object
- - org.eclipse.incquery.runtime.base.comprehension.EMFVisitor
  - - org.eclipse.incquery.runtime.base.core.NavigationHelperVisitor
    - - org.eclipse.incquery.runtime.base.core.NavigationHelperVisitor.TraversingVisitor

- Enclosing class:
    NavigationHelperVisitor

      public static class NavigationHelperVisitor.TraversingVisitor
      extends NavigationHelperVisitor

  A visitor for a single-pass traversal of the whole model, processing only the given types and inserting them.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.incquery.runtime.base.core.NavigationHelperVisitor

      `NavigationHelperVisitor.ChangeVisitor, NavigationHelperVisitor.TraversingVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversingVisitor(NavigationHelperImpl navigationHelper, java.util.Set<java.lang.Object> features, java.util.Set<java.lang.Object> newClasses, java.util.Set<java.lang.Object> oldClasses, java.util.Set<java.lang.Object> dataTypes)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.runtime.base.core.NavigationHelperVisitor

      `pruneFeature, pruneSubtrees, pruneSubtrees, visitAttribute, visitElement, visitInternalContainment, visitNonContainmentReference, visitProxyReference`

    - ### Methods inherited from class org.eclipse.incquery.runtime.base.comprehension.EMFVisitor

      `preOrder, visitResource, visitTopElementInResource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversingVisitor

          public TraversingVisitor(NavigationHelperImpl navigationHelper,
                                   java.util.Set<java.lang.Object> features,
                                   java.util.Set<java.lang.Object> newClasses,
                                   java.util.Set<java.lang.Object> oldClasses,
                                   java.util.Set<java.lang.Object> dataTypes)